* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    min-height: 100vh;
    font-family: 'Roboto', sans-serif;
}

/* Navigationsbar start */
.header {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 10;
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    box-shadow: 3px 3px 5px rgba(0, 0, 0, 0.1);
    max-height: 100px;
}

nav ul {
    width: 100%;
    list-style: none;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

nav li {
    height: 5rem;
}

nav li:first-child {
    margin-right: auto;
    max-width: 100px;
    height: auto;
}

nav a {
    height: 5rem;
    text-decoration: none;
    display: flex;
    align-items: center;
    color: white;
    padding: 0 2rem;
    font-size: 1.5em;
}

.navimg {
    width: 10rem;
    padding-left: 50px;
}

/* Navigationsbar slut */

.burger-menu {
    display: none;
    flex-direction: column;
    cursor: pointer;
    background: none;
    border: none;
}

.burger-menu span {
    height: 3px;
    width: 25px;
    background: white;
    margin: 4px;
    border-radius: 2px;
}

/* Dropdown menu */
.dropdown-content {
    display: none;
    position: absolute;
    background-color: rgba(0, 0, 0, 0.8);
    min-width: 160px;
    box-shadow: 0px 8px 16px rgba(0, 0, 0, 0.2);
    z-index: 1;
    top: 5rem;
}

.dropdown-content a {
    color: white;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    text-align: left;
}

.dropdown-content a:hover {
    background-color: rgba(255, 255, 255, 0.1);
}

.dropdown:hover .dropdown-content {
    display: block;
}

/* Hero billede start */
.image-section h1 {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    font-size: 6em;
    text-align: center;
    z-index: 1;
    background: rgba(0, 0, 0, 0.5);
    padding: 10rem 10rem;
    border-radius: 10px;
}

.image-section-p {
    position: absolute;
    top: 65%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    justify-content: center;
    align-items: center;
    color: orange;
    font-size: 2rem;
    text-align: center;
    z-index: 1;
    padding: 2rem;
}

.imgsize {
    width: 100%;
    height: auto;
    object-fit: cover;
    object-position: center;
}

.image-section {
    height: 1020px;
    overflow: hidden;
    position: relative;
}

/* Herobillede slut */

.circle-figure {
    margin: 0; /* Fjern standard margen */
    display: flex;
    justify-content: center;
    align-items: center;
    width: 125px; /* Juster størrelsen efter behov */
    height: 125px; /* Juster størrelsen efter behov */
    border-radius: 50%;
    overflow: visible;
}

.circle-image {
    width: 100%;
    height: 100%;
    object-fit: cover; /* Sikrer, at billedet dækker sin kontainer uden forvrængning */
}

.card-section {
    display: flex;
    background: rgb(238, 238, 238);
    min-height: 600px;
    justify-content: space-around;
    align-items: center;
    flex-wrap: wrap;
    padding: 2rem 1rem;
}

.card {
    display: flex;
    flex-direction: column;
    background-color: rgb(202, 202, 202);
    height: 35em;
    width: 25em;
    margin: 20px;
    padding: 1rem;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    border-color: black;
}

.card p {
    color: rgb(0, 0, 0);
    padding: 1rem;
    text-align: center;
}

.card h2, .card h3 {
    text-align: center;
}

.card h3 {
    color: orange;
    padding: 0.2rem;
}

/* footer */
.footer {
    background: rgba(0, 0, 0, 0.8);
    color: white;
    padding: 20px 0;
    text-align: center;
}

.footer-logo-section {
    margin-bottom: 20px;
    display: flex;
    justify-content: center;
}

.footer-logo-img {
    width: 100px;
}

.footer-social-section {
    display: flex;
    justify-content: center;
    gap: 15px;
    margin-bottom: 20px;
}

.social-icon {
    font-size: 2rem;
    color: antiquewhite;
}

.footer-bottom {
    font-size: 0.8em;
    display: flex;
    justify-content: center;
}

@media (max-width: 1024px) {
    nav a {
        font-size: 1rem;
    }

    .image-section h1 {
        font-size: 4em;
    }

    .image-section-p {
        font-size: 1.5em;
    }
}

@media (max-width: 825px) {
    body {
        display: flex;
        flex-direction: column;
    }

    .burger-menu {
        display: flex;
        flex-direction: column;
        justify-content: center;
        height: 40px;
        width: 40px;
    }

    nav ul {
        display: none;
        flex-direction: column;
        align-items: center;
        width: 100%;
        background: rgba(0, 0, 0, 0.9);
        position: absolute;
        top: 50px;
        left: 0;
        padding: 0;
        z-index: 100;
    }

    nav ul.show {
        display: flex;
    }

    nav li {
        margin: 1rem 0;
    }

    nav a {
        padding: 0.5rem 1rem;
        font-size: 1em;
        width: 100%;
        color: white;
        text-decoration: none;
        display: block;
    }

    .navimg {
        padding-left: 0;
        margin-bottom: 1rem;
        display: none;
    }

    .image-section h1 {
        font-size: 3em;
        padding: 1rem;
    }

    .image-section {
        height: auto;
    }

    .card-section {
        flex-direction: column;
        align-items: center;
    }

    .card {
        width: 90%;
        margin-bottom: 20px;
    }
}

@media (max-width: 425px) {
    body {
        display: flex;
        flex-direction: column;
    }

    .burger-menu {
        display: flex;
        flex-direction: column;
        justify-content: center;
        height: 40px;
        width: 40px;
    }

    nav ul {
        display: none;
        flex-direction: column;
        align-items: center;
        width: 100%;
        background: rgba(0, 0, 0, 0.9);
        position: absolute;
        top: 50px;
        left: 0;
        padding: 0;
        z-index: 100;
    }

    nav ul.show {
        display: flex;
    }

    nav li {
        width: 100%;
        text-align: center;
        margin: 1rem 0;
    }

    nav a {
        padding: 0.5rem 1rem;
        font-size: 1em;
        width: 100%;
        color: white;
        text-decoration: none;
        display: block;
    }

    .navimg {
        padding-left: 0;
        margin-bottom: 1rem;
    }

    .image-section h1 {
        font-size: 0.8rem;
        padding: 3rem 5rem;
    }

    .image-section {
        height: auto;
    }

    .image-section-p {
        font-size: 0.5rem;
        top: 70%;
    }

    .card-section {
        flex-direction: column;
        align-items: center;
    }

    .card {
        width: 90%;
        margin-bottom: 20px;
    }

    .circle-figure {
        width: 100px;
        height: 100px;
    }
}
